QuantLib: TwoFactorModel::ShortRateTree Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Member Functions | List of all members
TwoFactorModel::ShortRateTree Class Reference

Recombining two-dimensional tree discretizing the state variable. More...

`#include <ql/models/shortrate/twofactormodel.hpp>`

Inheritance diagram for TwoFactorModel::ShortRateTree:
[legend]

## Public Member Functions
| ShortRateTree (const boost::shared_ptr< TrinomialTree > &tree1, const boost::shared_ptr< TrinomialTree > &tree2, const boost::shared_ptr< ShortRateDynamics > &dynamics)
| Plain tree build-up from short-rate dynamics.
DiscountFactor | discount (Size i, Size index) const
Public Member Functions inherited from TreeLattice2D< TwoFactorModel::ShortRateTree, TrinomialTree >
| TreeLattice2D (const boost::shared_ptr< TrinomialTree > &tree1, const boost::shared_ptr< TrinomialTree > &tree2, Real correlation)
Size | size (Size i) const
Size | descendant (Size i, Size index, Size branch) const
Real | probability (Size i, Size index, Size branch) const
Public Member Functions inherited from TreeLattice< TwoFactorModel::ShortRateTree >
| TreeLattice (const TimeGrid &timeGrid, Size n)
const Array & | statePrices (Size i) const
void | stepback (Size i, const Array &values, Array &newValues) const
void | initialize (DiscretizedAsset &, Time t) const
| initialize an asset at the given time.
void | rollback (DiscretizedAsset &, Time to) const
void | partialRollback (DiscretizedAsset &, Time to) const
Real | presentValue (DiscretizedAsset &) const
| Computes the present value of an asset using Arrow-Debrew prices.
Public Member Functions inherited from Lattice
| Lattice (const TimeGrid &timeGrid)
const TimeGrid & | timeGrid () const

## Additional Inherited Members
Protected Member Functions inherited from TreeLattice2D< TwoFactorModel::ShortRateTree, TrinomialTree >
Disposable< Array > | grid (Time) const
Protected Member Functions inherited from TreeLattice< TwoFactorModel::ShortRateTree >
void | computeStatePrices (Size until) const
Protected Member Functions inherited from CuriouslyRecurringTemplate< TwoFactorModel::ShortRateTree >
TwoFactorModel::ShortRateTree & | impl ()
const TwoFactorModel::ShortRateTree & | impl () const
Protected Attributes inherited from TreeLattice2D< TwoFactorModel::ShortRateTree, TrinomialTree >
boost::shared_ptr< TrinomialTree > | tree1_
boost::shared_ptr< TrinomialTree > | tree2_
Protected Attributes inherited from TreeLattice< TwoFactorModel::ShortRateTree >
std::vector< Array > | statePrices_
Protected Attributes inherited from Lattice
TimeGrid | t_

## Detailed Description

Recombining two-dimensional tree discretizing the state variable.